Skip to main content
POST
Finish starting the plan after Stripe Checkout

Authorizations

Authorization
string
header
required

API key created in the ZeroClick dashboard under Settings → API keys. Keys start with zc_. Send them as Authorization: Bearer zc_....

Path Parameters

sessionId
string
required
Required string length: 1 - 255

Response

200 - application/json

Default Response

status
enum<string>
required
Available options:
active,
requires_action,
processing
clientSecret
string | null
required
publishableKey
string | null
required
plan
object | null
required
trialAvailable
boolean | null
required
trialEnd
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
access
object | null
required